--## WCFilter - __init__ written by Burgus ##--
-- Standard Turbine libraries
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local importPath = getfenv(1)._.Name;
local localePath = (importPath .. ".Language")

--**v Detect Game Language v**
-- set global vars
_G.WCFPatData, _G.WCFLangData, _G.PLang, _G.sset, _G.WDebug, _G.fstate, _G.cstate, _G.icstate, _G.isini, settings, rtmp, ctmp, SChng, player, color, col1, col2, col3, col4, col0, wcol1, wcol2, wcol0, write, GLocale, version = {}, {}, 0, 0, false, true, true, false, false, {}, "Received", "InCombatChanged", "SettingsChanged", Turbine.Gameplay.LocalPlayer:GetInstance(), Turbine.UI.Color, "<rgb=#20A5DA>  ", "<rgb=#EA6020>", "<rgb=#AAA5DA>", "<rgb=#DA4040>", "</rgb>", "<b><rgb=#20A5DA>", "<b><rgb=#DAA5DA>WCF-Data: ", "</rgb></b>", Turbine.Shell.WriteLine, Turbine.Engine.GetLanguage(), Plugins["WCFilter"]:GetVersion();
_G.WCFPatData[1], _G.WCFPatData[2], _G.WCFPatData[3] = {}, {}, {};
-- Check and load the LanguageData (Note: Texts should be changed there)
if GLocale == 268435460 then --> german
	PLang = 1;
	import (localePath .. ".Language_de");
elseif GLocale == 268435459 then --> french
	PLang = 3;
	import (localePath .. ".Language_fr");
else --> fallback to english
	PLang = 2;
	import (localePath .. ".Language_en");
end
--## debug purpose to overwrite language-data and output debug-infos ##--
--WDebug = true
--import (localePath .. ".Language_fr");
--## end debug ##--
-- load LanguagePattern --
import (localePath .. ".Pattern_de");
import (localePath .. ".Pattern_en");
import (localePath .. ".Pattern_fr");
--**^
import (importPath .. ".Main");
